Hello -

We are in the process of upgrading from Resin 3.0.22 to Resin 3.1.8.   
In our 3.0.22 environment Hibernate is working without issue.  With  
the upgrade to 3.1.8 we are experiencing the following issue that we  
know of.

The mapping files are throwing error.  For example, in a one-to-one  
element, with in the mapping file, we have specified not-null="true".   
In 3.0.22 this works fine, in 3.1.8 this throws an error.

Here is the error as displayed in the Resin console.

[2009-01-13 16:35:14,146] ERROR XMLHelper:61  
org.hibernate.util.XMLHelper.error(..) - Error parsing XML: XML  
InputStream(14) Attribute "not-null" must be declared for element type  
"one-to-one".
[2009-01-13 16:35:14,149] ERROR XMLHelper:61  
org.hibernate.util.XMLHelper.error(..) - Error parsing XML: XML  
InputStream(15) Attribute "lazy" with value "true" must have a value  
from the list "false proxy no-proxy ".
[2009-01-13 16:35:14,158] ERROR XMLHelper:61  
org.hibernate.util.XMLHelper.error(..) - Error parsing XML: XML  
InputStream(28) Attribute "not-null" must be declared for element type  
"one-to-one".

Any help would be greatly appreciated.  Specificly if you have any  
documentation on how to integrate Hibernate with 3.1.8 or what the  
mapping files should be written.

Thanks

Todd Sowers


--
Todd Sowers
DList.com
phone: 646-827-6766
t...@dlist.com
www.dlist.com






_______________________________________________
resin-interest mailing list
resin-interest@caucho.com
http://maillist.caucho.com/mailman/listinfo/resin-interest

Reply via email to